// EnableFlyers.cs
// Allows flyers, lets them take-off, and turns on auto-reload.
// Type exec("enableFlyers.cs"); in the console to enable.
// If you want to enable flyers in a map then execute this file at
// the top of your map's script. 
// NOTE: this script utilizes the vehicle::onAdd function.
//---------------------------------------------------------------------


//Allow all flyers

focusserver();
allowVehicle(   9, true );  // Banshee Flyer                    
allowVehicle(  18, true );  // Cargo ship                       
allowVehicle(  19, true );  // Escape ship                      
allowVehicle( 130, true );  // Drop ship                        
allowVehicle( 131, true );  // Draco Bomber                     
allowVehicle( 132, true );  // Conveyor    
allowVehicle( 110, true );  // Knight's Banshee 
allowVehicle( 111, true );  // Knight's Drop Ship
allowVehicle(  91, true );  // Cybrid Advocate     
allowVehicle(  92, true );  // Cybrid Drop Ship    
allowVehicle(  93, true );  // Cybrid Consul Bomber
focusclient();


//Let flyers take-off on spawn

function vehicle::onAdd(%vehicleId)
{
   order(%vehicleId, guard, 0);
}


//Auto-reload for the flyers

function autoReload()
{
   %count = playerManager::getPlayerCount();
   for(%i = 0; %i < %count; %i++)
   {
      %player = playerManager::getPlayerNum(%i);
      %vehicleId = playerManager::playerNumToVehicleId(%player);
      if(isFlyer(%vehicleId) == true)
      {
         reloadObject(%vehicleId, 99999);
      }
   }
   schedule("autoReload();", 5);
}

function isFlyer(%vehicleId)
{
   %this = false;
   %name = getVehicleName(%vehicleId);
   if((%name == "Banshee")||(%name == "Knight's Banshee")||(%name == "Advocate")) 
   {
      %this = true;
   }
   return %this;
}

focusserver();
autoReload();
focusclient();

echo("Flyers are now enabled on your server.");

